# This SRPM will build the package "R-base-gnome" (R with gnome
# support) if the macro %pkg is defined as "gnome", or R-base
# (R without gnome) if %pkg is defined as R-base.

%define ver	1.1.0
%define rel	4
%define prefix	/usr
%define pkg	base

Summary: A language for data analysis and graphics
Name: R-%{pkg}
Version: %ver
Release: %rel
Source0: ftp://cvs.r-project.org/pub/CRAN/src/base/R-%{ver}.tgz
Patch0: R-LIBINDEX.patch
Patch1: R-base-1.1.0-misc.patch
Copyright: GPL
Group: Applications/Engineering
Packager: Martyn Plummer <plummer@iarc.fr>
URL: http://www.r-project.org
BuildRoot: %{_tmppath}/%{name}-root
Icon: logosm-trans.gif
Provides: R-base
Prefix: %prefix
Requires: gcc gcc-g77 perl sed
Conflicts: R-contrib <= 1998.11.16
Conflicts: R-VR <= 5.3pl027
Obsoletes: R-gnome
#ExcludeArch: alpha

%description
`GNU S' - A language and environment for statistical computing and
graphics. R is similar to S, which was developed at Bell Laboratories
by John Chambers et al. It provides a wide variety of statistical and
graphical techniques (linear and nonlinear modelling, statistical
tests, time series analysis, classification, clustering, ...).

R is designed as a true computer language with control-flow
constructions for iteration and alternation, and it allows users to
add additional functionality by defining new functions. For
computationally intensive tasks, C and Fortran code can be linked and
called at run time.

%prep
%setup -q -n R-%{ver}
%patch0 -p1
%patch1 -p1 -b .misc

%build
export CFLAGS=$RPM_OPT_FLAGS
export FFLAGS=$RPM_OPT_FLAGS

if [ %pkg = "base-gnome" ]; then
   ./configure --prefix=${RPM_BUILD_ROOT}%{prefix} --with-gnome --mandir=%{_mandir}
else
   ./configure --prefix=${RPM_BUILD_ROOT}%{prefix} --mandir=%{_mandir}
fi

make 
make pdf

%install
make install mandir=$RPM_BUILD_ROOT%{_mandir}
mv doc/manual/*.pdf ${RPM_BUILD_DIR}/R-%{version} || :

#Remove latex versions of help pages
#
rm -rf ${RPM_BUILD_ROOT}/%{prefix}/lib/R/library/*/latex/

#Fix location of R_HOME in shell wrapper
#
cd ${RPM_BUILD_ROOT}/%{prefix}
sed -e "s@{R_HOME=.*@{R_HOME=%{prefix}/lib/R}@" lib/R/bin/R > bin/R
chmod 755 bin/R
cp bin/R lib/R/bin/R

# Remove package indices. They are rebuilt by the postinstall script.
#
rm -f ${RPM_BUILD_ROOT}%{prefix}/lib/R/doc/html/function.html
rm -f ${RPM_BUILD_ROOT}%{prefix}/lib/R/doc/html/packages.html
rm -f ${RPM_BUILD_ROOT}%{prefix}/lib/R/library/LibIndex



%files 
%defattr(-, root, root)
%{_bindir}/R
%{_mandir}/*/*
%{_libdir}/R
%doc BUGS COPYING COPYRIGHTS FAQ INSTALL MIRROR-SITES NEWS
%doc README RESOURCES VERSION Y2K

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ $RPM_INSTALL_PREFIX != %prefix ]; then
   cd ${RPM_INSTALL_PREFIX}
   sed -e "s@{R_HOME=.}*@{R_HOME=${RPM_INSTALL_PREFIX}/lib/R}@" lib/R/bin/R > bin/R
   chmod 755 bin/R
   cp bin/R lib/R/bin/R
fi

${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%preun 
if [ $1 = 0 ]; then
   rm -f ${RPM_INSTALL_PREFIX}/lib/R/doc/html/function.html
   rm -f ${RPM_INSTALL_PREFIX}/lib/R/doc/html/packages.html
   rm -f ${RPM_INSTALL_PREFIX}/lib/R/library/LibIndex
fi

%changelog
* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 15 2000 Than Ngo <than@redhat.de>
- update to 1.1.0
- remove Excludearch, fix to build an alpha
- clean up specfile

* Thu May 25 2000 Tim Powers <timp@redhat.com>
- changed man page file listing to glob, since newer versions of RPM gzip man
  pages
- built for 7.0

* Tue Feb 29 2000 Martyn Plummer <plummer@iarc.fr
- Changed the description to match
  http://developer.r-project.org/R-description-short.txt

* Mon Feb 28 2000 Martyn Plummer <plummer@iarc.fr>
- Added egcs, egcs-g77 and perl as requirements. People who want to install
  their own R packages need a working build environment.

* Fri Feb 11 2000 Martyn Plummer <plummer@iarc.fr>
- Remove latex versions of help pages, to save a bit of space.
- PDF files installed in top level doc directory.
- Included R-0.99.0-fixes patch for some serious bugs

* Tue Feb  8 2000 Martyn Plummer <plummer@iarc.fr>
- Added patch R-refman.patch which prevents building the reference manual

* Fri Feb  4 2000 Martyn Plummer <plummer@iarc.fr>
- Updated in preparation for R-0.99.0.
- Now install manual in pdf format.

* Wed Dec 15 1999 Martyn Plummer <plummer@iarc.fr>
- R-0.90.1. Removed Naoki's memory profile patch

* Fri Dec 3 1999 Tim Powers <timp@redhat.com>
- move configure into build section
- quiet scripts
- built for Powertools-6.2

* Mon Nov 29 1999 Martyn Plummer <plummer@iarc.fr>
- Added patch from Naoki to fix problem with memory profile.
  (will be folded in to next R version).

* Mon Nov 22 1999 Martyn Plummer <plummer@iarc.fr>
- R 0.90.0 Naoki's patch for FFT bug no longer necessary.
- Updated URL tag to www.r-project.org 

* Thu Oct 28 1999 Martyn Plummer <plummer@iarc.fr>
- RHCN is officially dead. Changed the Packager field
  back to my name and removed the Distribution field.

* Thu Oct 14 1999 Martyn Plummer <plummer@iarc.fr>
- Set CFLAGS and FFLAGS to be RPM_OPT_FLAGS. Thanks to
  Timothy H. Keitt <keitt@nceas.ucsb.edu>
- Simplified file list.

* Fri Oct 8 1999 Martyn Plummer <plummer@iarc.fr>
- Added patch from Naoki Takebayashi to fix FFT bug on Alpha
  (also found on Sparc).

* Tue Sep 7 1999 Martyn Plummer <plummer@iarc.fr>
  [R-base-0.65.0-1]
- RHOME is now R_HOME. Changed sed scripts accordingly.
- TASKS file is no longer in file list.

* Fri Jul 30 1999 Martyn Plummer <plummer@iarc.fr>
- Added patch from Alex Buerkle <cbuerkle@bio.indiana.edu>
  Allows build when $RPM_BUILD_DIR and $RPM_BUILD_ROOT are
  on different file systems.
- No C compiler optimization on Sparc.

* Mon Jul 12 1999 Martyn Plummer <plummer@iarc.fr>
- On Sparc, an egcs-g77 bug causes "make check" to fail on the line
  "eigen(cbind( 1,3:1,1:3))". This is a compiler bug which can be
  worked around by not optimizing. Added fix for Sparc

* Fri Jul 2 1999 Martyn Plummer <plummer@iarc.fr>
  [R-base-0.64.2-1]
- Alpha support fixes by Naoki Takebayashi <ntakebay@bio.indiana.edu>
  FFLAGS="-mieee -g -O2" is added for Alpha.  This flag will not be needed
  in the next release (0.65) because configure will take care of it.
  CFLAGS -O1 is dropped.
- Exclusivearch:i386 tag dropped.

* Mon Jun 29 1999 Tim Powers <timp@redhat.com>
  [R-base-0.64.1-6]
- moved changelog to end of spec
- rebuilt package for Powertools 6.1
- added ExclusiveArch: i386 and the Conflicts and Obsoletes lines

* Thu Jun 3 1999 Martyn Plummer <plummer@iarc.fr>
  [R-base-0.64.1-5]
- Builds "R-base-gnome" with GNOME support and "R-base" without.
- Dropped ncurses3 dependency.
